<?php
/**
 * @var \WPDesk\ShopMagicCart\Cart\BaseCart $cart
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>
<div class="wrap">
	<h1 class="wp-heading-inline"><?php esc_html_e( 'Cart details:', 'shopmagic-abandoned-carts' ); ?></h1>

	<table class="form-table">
		<tr>
			<th><?php esc_html_e( 'ID', 'shopmagic-abandoned-carts' ); ?></th>
			<td><?php echo (int) $cart->get_id(); ?></td>
		</tr>

		<tr>
			<th><?php esc_html_e( 'Products', 'shopmagic-abandoned-carts' ); ?></th>
			<td>
				<table>
					<thead>
					<tr>
						<th><?php esc_html_e( 'Product', 'shopmagic-abandoned-carts' ); ?></th>
						<th><?php esc_html_e( 'Quantity', 'shopmagic-abandoned-carts' ); ?></th>
						<th><?php esc_html_e( 'Price', 'shopmagic-abandoned-carts' ); ?></th>
					</tr>
					</thead>
					<tbody>
					<?php foreach ( $cart->get_items() as $item ) : ?>
						<tr>
							<td><?php echo esc_html( $item->get_name() ); ?></td>
							<td><?php echo esc_html( (string) $item->get_quantity() ); ?></td>
							<td><?php echo wp_kses_post( wc_price( $item->get_line_subtotal() + $item->get_line_subtotal_tax(), [ 'currency' => $cart->get_currency() ] ) ); ?></td>
						</tr>
					<?php endforeach; ?>
					<tr>
						<td colspan="2"><?php esc_html_e( 'Shipping', 'shopmagic-abandoned-carts' ); ?></td>
						<td><?php echo wp_kses_post( wc_price( $cart->get_shipping_total() + $cart->get_shipping_tax_total(), [ 'currency' => $cart->get_currency() ] ) ); ?></td>
					</tr>
					<tr>
						<td colspan="2"><?php esc_html_e( 'Total', 'shopmagic-abandoned-carts' ); ?></td>
						<td><?php echo wp_kses_post( wc_price( $cart->get_total(), [ 'currency' => $cart->get_currency() ] ) ); ?></td>
					</tr>
					</tbody>
				</table>

			</td>
		</tr>

		<tr>
			<th><?php esc_html_e( 'Cart created:', 'shopmagic-abandoned-carts' ); ?></th>
			<td><?php echo esc_html( \WPDesk\ShopMagic\Helper\WordPressFormatHelper::format_wp_datetime( $cart->get_created() ) ); ?></td>
		</tr>
	</table>


</div>
