<?php

namespace WPDesk\ShopMagicCart\Filter;

use WPDesk\ShopMagic\Event\EventFactory;
use WPDesk\ShopMagic\Filter\FilterUsingComparisionTypes;
use WPDesk\ShopMagicCart\Cart\BaseCart;

/**
 * Common code for filters using Abandoned Carts.
 */
abstract class CartBasedFilter extends FilterUsingComparisionTypes {

	final public function get_group_slug(): string {
		return EventFactory::GROUP_CARTS;
	}

	final public function get_required_data_domains(): array {
		return [ BaseCart::class ];
	}

	final protected function get_cart(): BaseCart {
		return $this->provided_data[ BaseCart::class ];
	}
}
